<ui:composition xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:rich="http://richfaces.org/rich"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalform" styleClass="form-horizontal">
            <s:token allowMultiplePosts="true"/>
            <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                           value="#{assertionScopeManager.assertionsFilter.urlParameters}"/>
            <script>
                updateUrl("globalform:filterUrlParameters");
                $("#globalform\\:filterUrlParameters").bind('change',
                        function () {
                            updateUrl("globalform:filterUrlParameters");
                        });
            </script>
            <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                <ui:param name="styleClass" value="panel-info"/>
                <ui:define name="panel_title">#{messages['net.ihe.gazelle.assertion-manager.ViewScope']}</ui:define>
                <dl class="dl-horizontal">
                    <dt>#{messages['net.ihe.gazelle.assertion-manager.Keyword']}</dt>
                    <dd>
                        <h:outputText maxlength="32" size="32"
                                      value="#{assertionScopeManager.selectedScope.keyword}"/>
                    </dd>
                    <dt>#{messages['net.ihe.gazelle.simulators.Description']}</dt>
                    <dd>
                        <h:outputText
                                value="#{assertionScopeManager.selectedScope.description}"/>
                    </dd>
                </dl>
                <ui:define name="panel_footer">
                    <h:outputLink title="#{messages['users.Edit']}" value="edit.seam"
                                  styleClass="gzl-btn-blue" rendered="#{s:hasRole('admin_role')}">
                        <f:param name="id"
                                 value="#{assertionScopeManager.selectedScope.id}"/>
                        <h:outputText value="#{messages['users.Edit']}"/>
                    </h:outputLink>

                    <h:commandLink value="#{messages['net.ihe.gazelle.assertion-manager.Back']}" styleClass="gzl-btn"
                                   onclick="window.history.go(-1); return false;"/>
                </ui:define>
            </ui:decorate>

            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">
                    <h:outputText
                            value="#{assertionScopeManager.selectedScope.getAllAssertions().size} #{messages['net.ihe.gazelle.assertion-manager.AssertionsInScope']}"/>
                </ui:define>
                <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filter"
                                          value="#{assertionScopeManager.assertionsFilter}"/>

                                <ui:param name="filterId" value="idScheme"/>
                                <ui:param name="filterName"
                                          value="#{messages['net.ihe.gazelle.IdScheme']}"/>
                                <ui:param name="filterForm" value="globalform"/>
                            </ui:include>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filter"
                                          value="#{assertionScopeManager.assertionsFilter}"/>

                                <ui:param name="filterId" value="assertionId"/>
                                <ui:param name="filterName"
                                          value="#{messages['net.ihe.gazelle.assertion-manager.AssertionId']}"/>
                                <ui:param name="filterForm" value="globalform"/>
                            </ui:include>
                        </div>
                    </div>
                    <ui:define name="filter_buttons">
                        <a4j:commandLink actionListener="#{assertionScopeManager.assertionsFilter.clear()}"
                                         title="#{messages['net.ihe.gazelle.assertion-manager.ResetFilter']}"
                                         render="globalform">
                            <span class="fa fa-times-circle"/>
                        </a4j:commandLink>
                    </ui:define>
                </ui:decorate>

                <rich:dataTable rows="20" id="assertionsTable" var="assertion"
                                value="#{assertionScopeManager.scopeAssertions}"
                                render="assertionsTableDs">
                    <g:column sortBy="#{'target.idScheme'}" sortOrder="ascending">
                        <ui:define name="header">#{messages['net.ihe.gazelle.IdScheme']}</ui:define>
                        <h:outputLink
                                title="#{messages['net.ihe.gazelle.assertion-manager.ViewIdScheme']} #{assertion.target.idScheme}"
                                value="#{request.contextPath}/assertions/index.seam">
                            <f:param name="idScheme" value="#{assertion.target.idScheme}"/>
                            <h:outputText value="#{assertion.target.idScheme}"/>
                        </h:outputLink>
                    </g:column>
                    <g:column sortBy="#{'assertionId'}" sortOrder="ascending">
                        <ui:define name="header">#{messages['net.ihe.gazelle.AssertionId']}</ui:define>
                        <h:outputLink
                                title="#{messages['net.ihe.gazelle.assertion-manager.ViewAssertion']} #{assertion.assertionId}"
                                value="#{request.contextPath}/assertions/show.seam">
                            <f:param name="idScheme" value="#{assertion.target.idScheme}"/>
                            <f:param name="assertionId" value="#{assertion.assertionId}"/>
                            <h:outputText value="#{assertion.assertionId}"/>
                        </h:outputLink>
                    </g:column>
                    <g:column id="assertionDescription">
                        <ui:define name="header">#{messages['net.ihe.gazelle.assertion-manager.Predicate']}
                        </ui:define>
                        <h:outputText value="#{assertion.predicate.content}"/>
                    </g:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="assertionsTableDs"/>
                            <ui:param name="dataTableId" value="assertionsTable"/>
                            <ui:param name="hideRowsSelect" value="true"/>
                            <ui:param name="maxPages" value="5"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>
            </ui:decorate>

        </h:form>
    </ui:define>
</ui:composition>
